<?php
  
IF (GET('install') == 'ok'){
  
  /*
  -------------------------------------
  Проверка доступен ли архив для чтения
  -------------------------------------
  */
  
  $zip = NEW ZipArchive();
  
  IF (!$zip->open(ROOT.'/files/upload/alpha_install/'.$archive['FACT_NAME'].'.'.$archive['EXT'].'')){
    
    ERROR('Не удалось открыть архив с установкой');
    REDIRECT('/panel/?path=system&section=alpha_install');
    
  }
  
  $zip->close();
  
  /*
  ----------------------------------------------
  Небольшая проверка на совместимость с AlphaCMS
  ----------------------------------------------
  */
  
  $zip = NEW ZipArchive();
  
  $zip->open(ROOT.'/files/upload/alpha_install/'.$archive['FACT_NAME'].'.'.$archive['EXT'].'');

  $i = 0;
  $s = 0;
  
  WHILE ($name = $zip->getNameIndex($i)) {
    
    $i++;
    
    IF ($name == 'files/' || $name == 'main/' || $name == 'modules/' || $name == 'panel/' || $name == 'style/' || $name == 'system/' || $name == 'users/') {
      
      $s++;
      
    }
  
  }
  
  IF ($s == 0){
    
    ERROR('Содержимое архива не совместимо с платформой AlphaCMS текущей версии');
    REDIRECT('/panel/?path=system&section=alpha_install');
    
  }
  
  $zip->close();
  
  /*
  --------------------------------------------------
  Если в архиве есть файлы которые уже есть на сайте
  --------------------------------------------------
  */ 
  
  $zip = NEW ZipArchive();
  
  $zip->open(ROOT.'/files/upload/alpha_install/'.$archive['FACT_NAME'].'.'.$archive['EXT'].'');

  $i = 0;
  $s = 0;
  
  ECHO "<div class='fon'>";
  
  ECHO LG('В ходе установки нашлись совпадения по файлам').":<br />";
  
  ECHO "<div class='file-content2'>";
  ECHO "<div style='padding: 10px;'>";
  
  WHILE ($name = $zip->getNameIndex($i)) {    
    
    $i++; 
    
    IF (IS_FILE(ROOT.'/'.$name)) {
      
      $s++;
      
      ECHO "<font color='#FFAB91'><b>/$name</b></font><br />";
      
      IF (GET('go') == 'yes'){
        
        //Удаляем старый файл перед заменой
        @UNLINK(ROOT.'/'.$name);
        
      }
      
    }
  
  }
  
  ECHO "</div>";
  ECHO "</div>";
  
  ECHO "<br />".LG('Вы желаете их заменить? После замены отменить действие уже будет невозможно.')."<br />";
  ECHO "<br />".ICONS('exclamation-triangle', 15, 'fa-fw')." ".LG('После замены компонент будет невозможно удалить из системы')."<br /><br />";
  
  ECHO "<a href='/panel/?path=alpha_install&id=".$archive['ID']."&install=ok&go=yes&act=system' class='panel-button2'>".ICONS('plus', 15, 'fa-fw')." ".LG('Да, продолжить')."</a> ";
  ECHO "<a href='/panel/?path=system&section=alpha_install' class='panel-button2'>".ICONS('times', 15, 'fa-fw')." ".LG('Отменить')."</a> ";
  
  ECHO "</div>";
  
  IF ($s > 0 && GET('go') != 'yes'){
    
    REQUIRE (ROOT.'/style/panel/include/footer.php');
    EXIT();
    
  }
  
  $zip->close();
  
}

?>